org.eclipse.microprofile.context.tck.contexts.label

## Class Label

- java.lang.Object
- - org.eclipse.microprofile.context.tck.contexts.label.Label

    public class Label
    extends Object

This is a fake context type that is created by the test suite, which associates an immutable label (a String) with a thread.

### Field Summary

Fields
`static String` `CONTEXT_NAME`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `get()` Get the current 'label' context.
`static void` `set(String label)` Set the current 'label' context.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CONTEXT_NAME

    public static final String CONTEXT_NAME

See Also:
  Constant Field Values

### Method Detail

#### get

    public static String get()

Get the current 'label' context.

Returns:
  current label.

#### set

    public static void set(String label)

Set the current 'label' context.

Parameters:
  `label` - new label.